
 
#include <stdio.h>
#include <unistd.h>
#include <oraca.h>

/* SQLCA 를 선언한다 */
EXEC SQL INCLUDE SQLCA;

int main(int argc, char **argv)
{
    printf("00000\n");
	/* 선언부 */
    EXEC SQL BEGIN DECLARE SECTION;
            int count = 0;
            char userid[40]= "NAMSAN";
            char pw[40]= "NAMSAN";
            char tnsname[40]= "GREEN";
	EXEC SQL END DECLARE SECTION;
    printf("11111\n");
    /* DB 연결 */
	EXEC SQL CONNECT :userid IDENTIFIED BY :pw USING :tnsname;
    printf("22222\n");
    /* 에러 처리 */
    if (sqlca.sqlcode < 0)
    {
            printf("%s\n", sqlca.sqlerrm.sqlerrmc);
            EXEC SQL ROLLBACK WORK RELEASE;
            exit(0);
    }
    printf("333333\n");
    /* 쿼리 */ 
    EXEC SQL SELECT count(*) 
            INTO: count  
            FROM dual;
    printf("444444\n");
    /* 쿼리 결과에 대한 에러처리 */
    if (sqlca.sqlcode != 0) 
    {
            EXEC SQL COMMIT WORK RELEASE;
            return 0;
    }

    printf("우편주소 데이타 : %d 개\n", count);

    /* DB 연결 종료 */
    EXEC SQL COMMIT WORK RELEASE;
}
